
Core - Bug # 56822

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Unit/Functional Tests
Created: 2014-03-12 Assigned To: Oliver Hader
Updated: 2014-03-12 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity:
Subject: InvalidArgumentException in ActionControllerTest
Description

@
1)
TYPO3\CMS\Extbase\Tests\Unit\Mvc\Controller\ActionControllerTest::resolveViewObjectNameUsesViewObjectNamePatternToResolve
veViewObjectName
InvalidArgumentException: "randomviewobjectpattern_@package_mycontroller_myaction_myformat" is not a valid cache entry
identifier.

typo3/github-master/typo3/sysext/core/Classes/Cache/Frontend/StringFrontend.php:50
typo3/github-master/typo3/sysext/core/Classes/Core/ClassLoader.php:222
typo3/github-master/typo3/sysext/core/Classes/Core/ClassLoader.php:157
typo3/github-master/typo3/sysext/extbase/Classes/Mvc/Controller/ActionController.php:504
typo3/github-master/typo3/sysext/extbase/Tests/Unit/Mvc/Controller/ActionControllerTest.php:237
typo3/github-master/typo3/sysext/extbase/Tests/Unit/BaseTestCase.php:49
vhosts/ip62.local/typo3conf/ext/phpunit/Composer/vendor/phpunit/phpunit/composer/bin/phpunit:63
@

Related issues:
related to Core - Task # 56797: Cleanup ClassLoader Resolved 2014-03-11

Associated revisions
Revision f1612c12 - 2014-03-12 16:39 - Oliver Hader

[BUGFIX] InvalidArgumentException in ActionControllerTest

The cache identifier causing the exception looks like this:
randomviewobjectpattern_@package_mycontroller_myaction_myformat

However, "@package" should be "@extension" in that regard and
besides that, the cache identifier using the vendor names shall
be used in the tests.

Resolves: #56822
Releases: 6.2
Change-Id: Ic78a8690559486efcbc7f5da7219a445f3f6707f
Reviewed-on: https://review.typo3.org/28300
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Markus Klein
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2014-03-12 16:19 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28300

#2 - 2014-03-12 17:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f1612c12acfa0c28d0da466686f0dea9869e990c.
